Your search did not match any results.
Charts

Export and Printing API

You can use two approaches to print and export the Chart: call methods, or add a built-in button with drop-down options. The supported export formats are PNG, PDF, JPEG, SVG, and GIF.

Use Methods to Export and Print Chart

Use the exportTo(fileName, format) and print() methods to export and print the Chart. In this demo, two buttons below the chart implement the print and export functionality. A click on the "Print" button calls the Print dialog window, and a click on the "Export" button saves a file with the component to your local storage. You can specify the file name and format in the exportTo(fileName, format) method.

Export and Print Chart with a Built-in Menu

To automatically create a button with export and print options, use the export object and set its enabled property to true. If you want to disable printing, set the printingEnabled property to false.

Set the formats property to specify an array of available export formats. The fileName property allows you to specify the name of the exported file.

You can see how this approach works in the following demo: JSON Data.

Handle Export Events

Use the following events to handle export:

en.wikipedia.org
Backend API
Copy to CodePen
Apply
Reset
$(() => { const chartInstance = $('#chart').dxChart({ dataSource, series: { argumentField: 'name', valueField: 'height', type: 'bar', color: '#E55253', }, tooltip: { enabled: true, customizeTooltip(arg) { return { text: `<span class='title'>${arg.argumentText}</span><br />&nbsp;<br />` + `System: ${arg.point.data.system}<br />Height: ${arg.valueText} m`, }; }, }, title: 'The Highest Mountains', legend: { visible: false, }, argumentAxis: { visible: true, }, valueAxis: { visualRange: { startValue: 8000, }, label: { customizeText() { return `${this.value} m`; }, }, }, }).dxChart('instance'); $('#print').dxButton({ icon: 'print', text: 'Print', onClick() { chartInstance.print(); }, }); $('#export').dxButton({ icon: 'export', text: 'Export', onClick() { chartInstance.exportTo('Example', 'png'); }, }); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" /> <script src="https://cdn3.devexpress.com/jslib/22.2.3/js/dx.all.js"></script> <script src="data.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="chart"></div> <div id="buttonGroup"> <div id="print"></div> <div id="export"></div> </div> </div> </body> </html>
#chart { height: 440px; margin-bottom: 30px; } #buttonGroup { text-align: center; margin-bottom: 20px; } #buttonGroup > .dx-button { margin: 0 20px; } .title { font-size: 15px; font-weight: 500; }
const dataSource = [{ name: 'Everest', height: 8848, system: 'Mahalangur Himalaya', }, { name: 'Godwin Austen', height: 8611, system: 'Baltoro Karakoram', }, { name: 'Kangchenjunga', height: 8586, system: 'Kangchenjunga Himalaya', }, { name: 'Lhotse', height: 8516, system: 'Mahalangur Himalaya', }, { name: 'Makalu', height: 8485, system: 'Mahalangur Himalaya', }, { name: 'Cho Oyu', height: 8188, system: 'Mahalangur Himalaya', }];

<dx-chart
id="chart"
[dataSource]="mountains"
title="The Highest Mountains">
<dxi-series
argumentField="name"
valueField="height"
type="bar"
color="#E55253">
</dxi-series>
<dxo-argument-axis [visible]="true"></dxo-argument-axis>
<dxi-value-axis [visualRange]="{startValue:8000}">
<dxo-label [customizeText]="customizeLabel"></dxo-label>
</dxi-value-axis>
<dxo-tooltip
[enabled]="true"
[customizeTooltip]="customizeTooltip"></dxo-tooltip>
<dxo-legend [visible]="false"></dxo-legend>
</dx-chart>
<div id="buttonGroup">
<dx-button
icon="print"
text="Print"
(onClick)="print()">
</dx-button>
<dx-button
icon="export"
text="Export"
(onClick)="export()">
</dx-button>
</div>
import { NgModule, Component, ViewChild, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxChartModule, DxChartComponent, DxButtonModule } from 'devextreme-angular';
import { Service, Mountain} from './app.service';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
preserveWhitespaces: true
})
export class AppComponent {
@ViewChild(DxChartComponent, { static: false }) chart: DxChartComponent;
mountains: Mountain[];
constructor(service: Service) {
this.mountains = service.getMountains();
}
customizeTooltip(arg: any) {
return {
text: "<span class='title'>" + arg.argumentText + "</span><br /> <br />" +
"System: " + arg.point.data.system + "<br />" + "Height: " +
arg.valueText + " m"
};
}
customizeLabel(arg: any) {
return arg.value + " m";
}
print() {
this.chart.instance.print();
}
export() {
this.chart.instance.exportTo("Example", "png");
}
}
@NgModule({
imports: [
BrowserModule,
DxChartModule,
DxButtonModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #chart {
height: 440px;
margin-bottom:30px;
}
::ng-deep #buttonGroup {
text-align: center;
margin-bottom: 20px;
}
::ng-deep #buttonGroup > .dx-button {
margin: 0 20px;
}
::ng-deep .title {
font-size: 15px;
font-weight: 500;
}
import { Injectable } from '@angular/core';
export class Mountain {
name: string;
height: number;
system: string;
}
let mountains: Mountain[] = [{
name: "Everest",
height: 8848,
system: "Mahalangur Himalaya"
}, {
name: "Godwin Austen",
height: 8611,
system: "Baltoro Karakoram"
}, {
name: "Kangchenjunga",
height: 8586,
system: "Kangchenjunga Himalaya"
}, {
name: "Lhotse",
height: 8516,
system: "Mahalangur Himalaya"
}, {
name: "Makalu",
height: 8485,
system: "Mahalangur Himalaya"
}, {
name: "Cho Oyu",
height: 8188,
system: "Mahalangur Himalaya"
}];
@Injectable()
export class Service {
getMountains(): Mountain[] {
return mountains;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.1.0/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18',
'devextreme-angular': 'npm:devextreme-angular@20.2.5',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<div>
<DxChart
id="chart"
ref="chart"
:data-source="mountains"
title="The Highest Mountains"
>
<DxSeries
type="bar"
argument-field="name"
value-field="height"
color="#E55253"
/>
<DxArgumentAxis :visible="true"/>
<DxValueAxis>
<DxVisualRange :start-value="8000"/>
<DxLabel :customize-text="customizeLabelText"/>
</DxValueAxis>
<DxTooltip
:enabled="true"
:customize-tooltip="customizeTooltipText"
/>
<DxLegend :visible="false"/>
</DxChart>
<div id="buttonGroup">
<DxButton
icon="print"
text="Print"
@click="printChart"
/>
<DxButton
icon="export"
text="Export"
@click="exportChart"
/>
</div>
</div>
</template>
<script>
import DxChart, {
DxSeries,
DxLegend,
DxTooltip,
DxArgumentAxis,
DxLabel,
DxValueAxis,
DxVisualRange
} from 'devextreme-vue/chart';
import DxButton from 'devextreme-vue/button';
import { mountains } from './data.js';
export default {
components: {
DxChart,
DxSeries,
DxLegend,
DxTooltip,
DxArgumentAxis,
DxLabel,
DxValueAxis,
DxVisualRange,
DxButton
},
data() {
return {
mountains
};
},
methods: {
printChart() {
this.$refs.chart.instance.print();
},
exportChart() {
this.$refs.chart.instance.exportTo('Example', 'png');
},
customizeTooltipText(pointInfo) {
return {
text: `<span class='title'>${pointInfo.argumentText
}</span><br /> <br />System: ${pointInfo.point.data.system
}<br />Height: ${pointInfo.valueText} m`
};
},
customizeLabelText({ value }) {
return `${value} m`;
}
}
};
</script>
<style>
#chart {
height: 440px;
margin-bottom:30px;
}
#buttonGroup {
text-align: center;
margin-bottom: 20px;
}
#buttonGroup > .dx-button {
margin: 0 22px;
}
.title {
font-size: 15px;
font-weight: 500;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app">
</div>
</div>
</body>
</html>
export const mountains = [{
name: 'Everest',
height: 8848,
system: 'Mahalangur Himalaya'
}, {
name: 'Godwin Austen',
height: 8611,
system: 'Baltoro Karakoram'
}, {
name: 'Kangchenjunga',
height: 8586,
system: 'Kangchenjunga Himalaya'
}, {
name: 'Lhotse',
height: 8516,
system: 'Mahalangur Himalaya'
}, {
name: 'Makalu',
height: 8485,
system: 'Mahalangur Himalaya'
}, {
name: 'Cho Oyu',
height: 8188,
system: 'Mahalangur Himalaya'
}];
System.config({
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader'
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'devextreme-vue': 'npm:devextreme-vue@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});

import React from 'react';
import Chart, {
Series,
Legend,
Tooltip,
ArgumentAxis,
Label,
ValueAxis,
VisualRange,
} from 'devextreme-react/chart';
import Button from 'devextreme-react/button';
import { mountains } from './data.js';
class App extends React.Component {
constructor(props) {
super(props);
this.chartRef = React.createRef();
this.printChart = this.printChart.bind(this);
this.exportChart = this.exportChart.bind(this);
}
render() {
return (
<React.Fragment>
<Chart
id="chart"
ref={this.chartRef}
dataSource={mountains}
title="The Highest Mountains"
>
<Series argumentField="name" valueField="height" type="bar" color="#E55253" />
<ArgumentAxis visible={true} />
<ValueAxis>
<VisualRange startValue={8000} />
<Label customizeText={customizeLabelText} />
</ValueAxis>
<Tooltip
enabled={true}
customizeTooltip={customizeTooltipText}
/>
<Legend visible={false} />
</Chart>
<div id="buttonGroup">
<Button icon="print"
text="Print"
onClick={this.printChart}
/>
<Button icon="export"
text="Export"
onClick={this.exportChart}
/>
</div>
</React.Fragment>
);
}
get chart() {
return this.chartRef.current.instance;
}
printChart() {
this.chart.print();
}
exportChart() {
this.chart.exportTo('Example', 'png');
}
}
function customizeTooltipText(pointInfo) {
return {
text: `<span class='title'>${pointInfo.argumentText
}</span><br /> <br />System: ${pointInfo.point.data.system
}<br />Height: ${pointInfo.valueText} m`,
};
}
function customizeLabelText({ value }) {
return `${value} m`;
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chart {
height: 440px;
margin-bottom: 30px;
}
#buttonGroup {
text-align: center;
margin-bottom: 20px;
}
#buttonGroup > .dx-button {
margin: 0 20px;
}
.title {
font-size: 15px;
font-weight: 500;
}
export const mountains = [{
name: 'Everest',
height: 8848,
system: 'Mahalangur Himalaya',
}, {
name: 'Godwin Austen',
height: 8611,
system: 'Baltoro Karakoram',
}, {
name: 'Kangchenjunga',
height: 8586,
system: 'Kangchenjunga Himalaya',
}, {
name: 'Lhotse',
height: 8516,
system: 'Mahalangur Himalaya',
}, {
name: 'Makalu',
height: 8485,
system: 'Mahalangur Himalaya',
}, {
name: 'Cho Oyu',
height: 8188,
system: 'Mahalangur Himalaya',
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.6/cjs',
'devextreme-react': 'npm:devextreme-react@22.2.6',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.72/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.43/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);